You're reading version 2024-06-01, which is not the latest. The latest is 2026-04-01: see this page in 2026-04-01.
Add collection supplemental information
Add supplemental information to a collection. This can be necessary if a collection requires 2 factor authentication. The collection will have the status 'TWO FACTOR PENDING' in this case.
Request
Path Parameters
Header Parameters
The API version to use, as YYYY-MM-DD. Must match the version of the endpoint you are targeting. A request without it, or with a version older than the client's minimum API version, is served by the client's minimum API version.
2024-06-01.Request Body
Type of the supplemental information.
TWO_FACTOR_CODE, TWO_FACTOR_CHOICE, RESPONSE_OBJECT or COLLECTION_INPUT.Properties below are from the TwoFactorCode subtype. View the full schema for full details.
TWO_FACTOR_CODE.Two factor code
Responses
Data collection successfully initiated.
curl https://api.insurely.com/insurance/collection/{collectionId}/supplement-info \
-H "client-id: <client-id>" \
-H "Insurely-Version: 2024-06-01" \
-H "Content-Type: application/json" \
-d '{
"type": "TWO_FACTOR_CODE",
"value": "A12345"
}' \
-X POST